Bug 504705 - fence_lpar: lssyscfg command on HMC can take longer than SHELL_TIMEOUT
fence_lpar: lssyscfg command on HMC can take longer than SHELL_TIMEOUT
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 17:48 EDT by Nate Straz
Modified: 2016-04-26 10:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:09:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (964 bytes, text/plain)
2009-06-09 10:00 EDT, Nate Straz
no flags Details

  None (edit)
Description Nate Straz 2009-06-08 17:48:26 EDT
Description of problem:

The lssyscfg command issued to the HMC by fence_lpar to get the status of the LPAR can take longer than SHELL_TIMEOUT, 3 seconds.  This results in fencing failures which could be avoided if fence_lpar waited longer for the HMC to respond to the command.

A quick test on squad1hmc showed lssyscfg took up to 7 seconds to complete.



Version-Release number of selected component (if applicable):
cman-2.0.104-1.el5

How reproducible:
~40% of the time, probably dependent on the HMC

Steps to Reproduce:
1. fence_lpar -o status <lpar dep opts>
  
Actual results:
Jun  8 15:52:32 basic-p1 fenced[1850]: fencing node "kent-p1"
Jun  8 15:52:38 basic-p1 fenced[1850]: agent "fence_lpar" reports: Connection timed out


Expected results:
fencing should succeed.

Additional info:
Comment 1 Nate Straz 2009-06-09 10:00:25 EDT
Created attachment 347028 [details]
proposed patch

I've been running something similar to this and it works much better.
Comment 2 Marek Grac 2009-06-10 06:00:24 EDT
This patch could not cause any harm. I will add it as soon as I got enough flags.
Comment 5 Nate Straz 2009-06-18 15:01:49 EDT
Verified that patch is included in cman-2.0.108-1.el5.
Comment 7 errata-xmlrpc 2009-09-02 07:09:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1341.html

Note You need to log in before you can comment on or make changes to this bug.